migrate all projects to flake8

Bug #1172444 reported by James E. Blair on 2013-04-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
Unassigned
Cinder
Undecided
Monty Taylor
Gear
Fix Released
Medium
Unassigned
Glance Client
Undecided
Monty Taylor
OpenStack Core Infrastructure
Fix Released
Medium
Unassigned
OpenStack DBaaS (Trove)
Undecided
Monty Taylor
OpenStack Heat
Fix Released
Undecided
Monty Taylor
OpenStack Identity (keystone)
Undecided
Monty Taylor
Zuul
Fix Released
Undecided
Unassigned
git-review
Fix Released
Undecided
Unassigned
heat-cfntools
Fix Released
Medium
Monty Taylor
oslo-incubator
Undecided
Monty Taylor
python-ceilometerclient
Undecided
Unassigned
python-cinderclient
Undecided
Monty Taylor
python-heatclient
Fix Released
Medium
Monty Taylor
python-keystoneclient
Medium
Monty Taylor
python-neutronclient
Undecided
Clark Boylan
python-novaclient
Undecided
Monty Taylor
python-openstackclient
Fix Released
Undecided
Unassigned
python-swiftclient
Undecided
Unassigned

Bug Description

 affects openstack-ci
 milestone havana
 status triaged
 importance medium

Fix proposed to branch: master
Review: https://review.openstack.org/28854

Changed in python-keystoneclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress
Monty Taylor (mordred) on 2013-05-11
summary: - migrate all projects to flake8 and pbr
+ migrate all projects to flake8
Monty Taylor (mordred) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects git-review
 affects keystone
 affects python-ceilometerclient
 affects python-cinderclient
 affects python-gear
 affects python-glanceclient
 affects python-heatclient
 affects python-keystoneclient
 affects python-novaclient
 affects python-openstackclient
 affects python-quantumclient
 affects reddwarf
 affects zuul
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEARECAAYFAlGObKcACgkQ2Jv7/VK1RgEPWQCgx2o6OqWE4WCs1ZmZk/AKgWnq
VVYAoOF2lbDKrUfUnARVlbJ4jj51mokL
=kJMb
-----END PGP SIGNATURE-----

Changed in cinder:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28878

Changed in heat-cfntools:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28886

Changed in keystone:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28890

Changed in python-quantumclient:
assignee: nobody → Clark Boylan (cboylan)
status: New → In Progress

Reviewed: https://review.openstack.org/24582
Committed: http://github.com/openstack/ceilometer/commit/2fb73099d381b1349dcc959ef576d489ad824daf
Submitter: Jenkins
Branch: master

commit 2fb73099d381b1349dcc959ef576d489ad824daf
Author: Monty Taylor <email address hidden>
Date: Sat May 11 12:39:05 2013 -0400

    Use flake8 instead of pep8

    flake8 is pluggable and supports running hacking checks via a plugin.

    Fixes bug 1172444

    Change-Id: Ie0b11544aaa3b1602ceced61941ab2cb30a7dc17

Changed in ceilometer:
status: New → Fix Committed
Akihiro Motoki (amotoki) wrote :

Useful description about why pep8 and pyflakes needs to be placed first and they cannot be in alphabetical order in tools/test-require. (from https://review.openstack.org/#/c/28890/1/tools/test-requires )

-----
Unfortunately pip finds and installs dependencies by performing a depth first search across this list. What that means is while we can strive to put dependencies in alphabetic order we may not be able to when the actual order pip installs things matters.
This is one of those cases. We want pep8 and pyflakes to be installed before flake8 so that we can control their versions. If we let flake8 pull them in as dependencies we will get whatever version flake8 has deemed appropriate. By putting this set of things at the top of the list we also avoid other test dependencies potentially pulling in versions we don't want.
-----

Reviewed: https://review.openstack.org/28890
Committed: http://github.com/openstack/python-quantumclient/commit/ce11f7e859a5068e52655c94224273283353c255
Submitter: Jenkins
Branch: master

commit ce11f7e859a5068e52655c94224273283353c255
Author: Clark Boylan <email address hidden>
Date: Sat May 11 12:13:13 2013 -0700

    Make flake8 deps consistent with other projects.

    Make the flake8 dependencies consistent with openstack/requirements and
    the other OpenStack projects.

    Fixes bug 1172444.

    Change-Id: I04bd814ad51cf53a3fa0026028a36de461da45d4

Changed in python-quantumclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/27216
Committed: http://github.com/openstack/cinder/commit/c23f620f2ce2d2dd5079fe6b258b1df7a6662240
Submitter: Jenkins
Branch: master

commit c23f620f2ce2d2dd5079fe6b258b1df7a6662240
Author: Monty Taylor <email address hidden>
Date: Sat Apr 20 21:44:09 2013 -0700

    Use flake8 and hacking.

    Fixes bug 1172444

    Change-Id: I46b733bd16fa49c58c642348988233064d2b673b

Changed in cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28886
Committed: http://github.com/openstack/keystone/commit/a4fb55e80cfd4700626ddea449d7a8fb42c1d4c6
Submitter: Jenkins
Branch: master

commit a4fb55e80cfd4700626ddea449d7a8fb42c1d4c6
Author: Monty Taylor <email address hidden>
Date: Sat May 11 14:48:00 2013 -0400

    Migrate to flake8.

    Closes bug 1172444

    Change-Id: I4831946d01f05c2a10264745a07b53fa48be44c8

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28878
Committed: http://github.com/openstack/heat-cfntools/commit/a1eeee7f6c2f4cf766770fb11e511a356707d795
Submitter: Jenkins
Branch: master

commit a1eeee7f6c2f4cf766770fb11e511a356707d795
Author: Monty Taylor <email address hidden>
Date: Sat May 11 13:41:52 2013 -0400

    Migrate to flake8.

    Fixes bug 1172444

    Change-Id: I68d5e58f6992f7357e3bb4f72ae40d0ebe076d4b

Changed in heat-cfntools:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/29409

Changed in reddwarf:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Reviewed: https://review.openstack.org/29409
Committed: http://github.com/stackforge/reddwarf/commit/98d42e50e3c365b8bb5e8c3f6b12b59633a31ebd
Submitter: Jenkins
Branch: master

commit 98d42e50e3c365b8bb5e8c3f6b12b59633a31ebd
Author: Monty Taylor <email address hidden>
Date: Thu May 16 10:07:14 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444

    Change-Id: I09e1e2d03f41a175aa39760b5fc560ed0d9d30a5

Changed in reddwarf:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/29648

Changed in python-novaclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29653

Changed in python-glanceclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29655

Changed in python-cinderclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29661

Changed in python-heatclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Reviewed: https://review.openstack.org/29664
Committed: http://github.com/openstack/python-ceilometerclient/commit/b324ccc37bc6c0dfded22ba5b4eccc96642791ba
Submitter: Jenkins
Branch: master

commit b324ccc37bc6c0dfded22ba5b4eccc96642791ba
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:40:15 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: Iba46d40a0e3ae0385ce51181f47295a2b520110d

Changed in python-ceilometerclient:
status: New → Fix Committed

Reviewed: https://review.openstack.org/29661
Committed: http://github.com/openstack/python-heatclient/commit/b343c1c22d1caa426d0afac1255ca92dcc72fa4b
Submitter: Jenkins
Branch: master

commit b343c1c22d1caa426d0afac1255ca92dcc72fa4b
Author: Monty Taylor <email address hidden>
Date: Sat May 18 08:37:46 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: Icd6c41f9f5b799ed0b121dc3a3af9d4304fa0eff

Changed in python-heatclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29655
Committed: http://github.com/openstack/python-cinderclient/commit/24b4039bae557a8f29be783c3fdd3f9f148c4b0e
Submitter: Jenkins
Branch: master

commit 24b4039bae557a8f29be783c3fdd3f9f148c4b0e
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:09:35 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: Ia063ec67de9e6061ce38b948c9eb60b5589c7bb4

Changed in python-cinderclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28854
Committed: http://github.com/openstack/python-keystoneclient/commit/0493523854accbec303b37e7729a23fc730d5f7b
Submitter: Jenkins
Branch: master

commit 0493523854accbec303b37e7729a23fc730d5f7b
Author: Monty Taylor <email address hidden>
Date: Fri May 10 18:19:59 2013 -0400

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: Icd51f5d925d84dcec7df7c83ca43cd87bc1b090f

Changed in python-keystoneclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29100
Committed: http://github.com/openstack/python-openstackclient/commit/967d929207fa52c00acaa0a3e1b63bbe8e7f3835
Submitter: Jenkins
Branch: master

commit 967d929207fa52c00acaa0a3e1b63bbe8e7f3835
Author: Monty Taylor <email address hidden>
Date: Tue May 14 08:29:16 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444

    Change-Id: Ieca721663aea2fd31753df4abfb5b01a7145b26a

Changed in python-openstackclient:
status: New → Fix Committed

Reviewed: https://review.openstack.org/29653
Committed: http://github.com/openstack/python-glanceclient/commit/ca17541f33b4c65af7fe43e4de856334a8a866cd
Submitter: Jenkins
Branch: master

commit ca17541f33b4c65af7fe43e4de856334a8a866cd
Author: Monty Taylor <email address hidden>
Date: Sat May 18 08:29:02 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: Icec0820d0f780ed9473218b7e46e29c1e3db6541

Changed in python-glanceclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29648
Committed: http://github.com/openstack/python-novaclient/commit/9d4db6f740fe00f50c77920b5ef7a4fbd08d181f
Submitter: Jenkins
Branch: master

commit 9d4db6f740fe00f50c77920b5ef7a4fbd08d181f
Author: Monty Taylor <email address hidden>
Date: Sat May 18 07:13:38 2013 -0700

    Migrate to flake8.

    Fixes bug 1172444.

    Change-Id: I0d8faa0819738456a28aaf5cc859f510a2b3ed68

Changed in python-novaclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-05-29
Changed in keystone:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in ceilometer:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in cinder:
milestone: none → havana-1
status: Fix Committed → Fix Released
Dolph Mathews (dolph) on 2013-05-29
Changed in python-keystoneclient:
importance: Undecided → Medium
milestone: none → 0.2.4
status: Fix Committed → Fix Released
Angus Salkeld (asalkeld) wrote :

monty has committed this, but referenced bug 117244 instead of 1172444
https://github.com/openstack/heat/commit/1d79afc696be72701c02675b0a18e71ebbe22898

Changed in heat:
assignee: nobody → Monty Taylor (mordred)
status: New → Fix Committed
Thierry Carrez (ttx) on 2013-06-10
Changed in heat:
status: Fix Committed → Fix Released
Changed in heat-cfntools:
milestone: none → v1.2.4
Changed in heat-cfntools:
importance: Undecided → Medium
Dean Troyer (dtroyer) on 2013-07-01
Changed in python-openstackclient:
status: Fix Committed → Fix Released
Ben Nemec (bnemec) wrote :

Looks like Monty did this for Oslo already but it didn't get registered in the bug.

Changed in oslo:
assignee: nobody → Monty Taylor (mordred)
status: New → Fix Committed
Changed in python-heatclient:
importance: Undecided → Medium
milestone: none → v0.2.3
Thierry Carrez (ttx) on 2013-07-17
Changed in trove:
milestone: none → havana-2
status: Fix Committed → Fix Released
Changed in oslo:
milestone: none → havana-2
status: Fix Committed → Fix Released
Clark Boylan (cboylan) on 2013-07-30
Changed in zuul:
status: New → Fix Released
Changed in git-review:
status: New → Fix Released
Changed in python-swiftclient:
status: New → Fix Released
James E. Blair (corvus) on 2013-07-30
Changed in gear:
importance: Undecided → Medium
status: New → Fix Released
Changed in python-novaclient:
status: Fix Committed → Fix Released
Changed in python-heatclient:
milestone: v0.2.3 → v0.2.5
status: Fix Committed → Fix Released
milestone: v0.2.5 → none
Thierry Carrez (ttx) on 2013-10-17
Changed in oslo:
milestone: havana-2 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in ceilometer:
milestone: havana-1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-1 → 2013.2
Thierry Carrez (ttx) on 2013-10-18
Changed in trove:
milestone: havana-2 → 2013.2
Changed in heat-cfntools:
milestone: v1.2.4 → none
status: Fix Committed → Fix Released
Thierry Carrez (ttx) wrote : target

 affects openstack-ci
 status fixreleased

Changed in openstack-ci:
status: Triaged → Fix Released
Akihiro Motoki (amotoki) on 2014-08-30
Changed in python-neutronclient:
milestone: none → 2.2.1-2.2.6
status: Fix Committed → Fix Released
Louis Taylor (kragniz) on 2014-09-21
Changed in python-glanceclient:
status: Fix Committed → Fix Released
Changed in python-ceilometerclient:
milestone: none → 1.3.0
status: Fix Committed → Fix Released
Changed in python-cinderclient:
milestone: none → 1.3.1
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers